{{ ansible_managed | comment }}
server:
  http_listen_port: {{ promtail_listen_port }}
  grpc_listen_port: {{ promtail_grpc_listen_port }}

{% if promtail_config_positions != {} %}
positions:
  {{ promtail_config_positions | to_nice_yaml(indent=2) | indent(2, False) }}
{% endif %}
clients:
  {{ promtail_config_clients | to_nice_yaml(indent=2) | indent(2, False) }}
scrape_configs:
{% if promtail_config_scrape_configs | length %}
  {{ promtail_config_scrape_configs | to_nice_yaml(indent=2) | indent(2, False) }}
{% endif %}
{% if promtail_target_config != {} %}
target_config:
  {{ promtail_target_config | to_nice_yaml(indent=2) | indent(2, False) }}
{% endif %}
